Bug 1415473 - [abrt] network-manager-applet: gtk_status_icon_set_visible(): nm-applet killed by SIGSEGV
Summary: [abrt] network-manager-applet: gtk_status_icon_set_visible(): nm-applet kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37cc765a985d9102ce84b8d06a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 11:22 UTC by Lukas Slebodnik
Modified: 2018-05-29 11:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.55 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: core_backtrace (2.60 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: dso_list (8.76 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: environ (1.46 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: maps (46.08 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: mountinfo (3.89 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: open_fds (1.08 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details
File: var_log_messages (311 bytes, text/plain)
2017-01-22 11:22 UTC, Lukas Slebodnik
no flags Details

Description Lukas Slebodnik 2017-01-22 11:22:26 UTC
Description of problem:
I restarted few services with systemctl

systemctl restart accounts-daemon  firewalld  NetworkManager systemd-logind systemd-journald systemd-machined systemd-udevd wpa_supplicant

Version-Release number of selected component:
network-manager-applet-1.4.0-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        nm-applet
crash_function: gtk_status_icon_set_visible
executable:     /usr/bin/nm-applet
global_pid:     2098
kernel:         4.8.15-300.fc25.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 gtk_status_icon_set_visible at deprecated/gtkstatusicon.c:2122
 #1 applet_update_icon at applet.c:2597
 #6 g_main_context_iteration at gmain.c:3990
 #7 g_application_run at gapplication.c:2381

Comment 1 Lukas Slebodnik 2017-01-22 11:22:34 UTC
Created attachment 1243312 [details]
File: backtrace

Comment 2 Lukas Slebodnik 2017-01-22 11:22:36 UTC
Created attachment 1243313 [details]
File: cgroup

Comment 3 Lukas Slebodnik 2017-01-22 11:22:37 UTC
Created attachment 1243314 [details]
File: core_backtrace

Comment 4 Lukas Slebodnik 2017-01-22 11:22:39 UTC
Created attachment 1243315 [details]
File: dso_list

Comment 5 Lukas Slebodnik 2017-01-22 11:22:41 UTC
Created attachment 1243316 [details]
File: environ

Comment 6 Lukas Slebodnik 2017-01-22 11:22:42 UTC
Created attachment 1243317 [details]
File: limits

Comment 7 Lukas Slebodnik 2017-01-22 11:22:44 UTC
Created attachment 1243318 [details]
File: maps

Comment 8 Lukas Slebodnik 2017-01-22 11:22:46 UTC
Created attachment 1243319 [details]
File: mountinfo

Comment 9 Lukas Slebodnik 2017-01-22 11:22:47 UTC
Created attachment 1243320 [details]
File: namespaces

Comment 10 Lukas Slebodnik 2017-01-22 11:22:49 UTC
Created attachment 1243321 [details]
File: open_fds

Comment 11 Lukas Slebodnik 2017-01-22 11:22:50 UTC
Created attachment 1243322 [details]
File: proc_pid_status

Comment 12 Lukas Slebodnik 2017-01-22 11:22:52 UTC
Created attachment 1243323 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 11:01:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Fedora End Of Life 2018-05-03 08:09:30 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:23:15 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.